## org.hibernate.hql.ast.tree
Interface InitializeableNode

All Known Implementing Classes:
  AbstractMapComponentNode, AbstractNullnessCheckNode, AbstractRestrictableStatement, AbstractSelectExpression, AbstractStatement, AggregateNode, BinaryArithmeticOperatorNode, BinaryLogicOperatorNode, BooleanLiteralNode, Case2Node, CaseNode, CollectionFunction, ComponentJoin, ConstructorNode, CountNode, DeleteStatement, DotNode, FromClause, FromElement, FromReferenceNode, HqlSqlWalkerNode, IdentNode, ImpliedFromElement, IndexNode, InLogicOperatorNode, InsertStatement, IntoClause, IsNotNullLogicOperatorNode, IsNullLogicOperatorNode, LiteralNode, MapEntryNode, MapKeyNode, MapValueNode, MethodNode, OrderByClause, ParameterNode, QueryNode, ResultVariableRefNode, SelectClause, SelectExpressionImpl, SelectExpressionList, UnaryArithmeticNode, UnaryLogicOperatorNode, UpdateStatement

    public interface InitializeableNode

An interface for initializeable AST nodes.

Method Summary
`void` `initialize(Object param)` Initializes the node with the parameter.

Method Detail

### initialize

    void initialize(Object param)

  Initializes the node with the parameter.

  Parameters:
    `param` - the initialization parameter.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.